Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

## Class PersonIdentification3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_002_02.PersonIdentification3

    public class PersonIdentification3
    extends java.lang.Object

Java class for PersonIdentification3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PersonIdentification3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="DrvrsLicNb" type="{urn:swift:xsd:$pain.002.002.02}Max35Text"/>
               <element name="CstmrNb" type="{urn:swift:xsd:$pain.002.002.02}Max35Text"/>
               <element name="SclSctyNb" type="{urn:swift:xsd:$pain.002.002.02}Max35Text"/>
               <element name="AlnRegnNb" type="{urn:swift:xsd:$pain.002.002.02}Max35Text"/>
               <element name="PsptNb" type="{urn:swift:xsd:$pain.002.002.02}Max35Text"/>
               <element name="TaxIdNb" type="{urn:swift:xsd:$pain.002.002.02}Max35Text"/>
               <element name="IdntyCardNb" type="{urn:swift:xsd:$pain.002.002.02}Max35Text"/>
               <element name="MplyrIdNb" type="{urn:swift:xsd:$pain.002.002.02}Max35Text"/>
               <element name="DtAndPlcOfBirth" type="{urn:swift:xsd:$pain.002.002.02}DateAndPlaceOfBirth"/>
               <element name="OthrId" type="{urn:swift:xsd:$pain.002.002.02}GenericIdentification4"/>
             </choice>
             <element name="Issr" type="{urn:swift:xsd:$pain.002.002.02}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `alnRegnNb`
`protected java.lang.String` `cstmrNb`
`protected java.lang.String` `drvrsLicNb`
`protected DateAndPlaceOfBirth` `dtAndPlcOfBirth`
`protected java.lang.String` `idntyCardNb`
`protected java.lang.String` `issr`
`protected java.lang.String` `mplyrIdNb`
`protected GenericIdentification4` `othrId`
`protected java.lang.String` `psptNb`
`protected java.lang.String` `sclSctyNb`
`protected java.lang.String` `taxIdNb`

### Constructor Summary

Constructors
`PersonIdentification3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAlnRegnNb()` Gets the value of the alnRegnNb property.
`java.lang.String` `getCstmrNb()` Gets the value of the cstmrNb property.
`java.lang.String` `getDrvrsLicNb()` Gets the value of the drvrsLicNb property.
`DateAndPlaceOfBirth` `getDtAndPlcOfBirth()` Gets the value of the dtAndPlcOfBirth property.
`java.lang.String` `getIdntyCardNb()` Gets the value of the idntyCardNb property.
`java.lang.String` `getIssr()` Gets the value of the issr property.
`java.lang.String` `getMplyrIdNb()` Gets the value of the mplyrIdNb property.
`GenericIdentification4` `getOthrId()` Gets the value of the othrId property.
`java.lang.String` `getPsptNb()` Gets the value of the psptNb property.
`java.lang.String` `getSclSctyNb()` Gets the value of the sclSctyNb property.
`java.lang.String` `getTaxIdNb()` Gets the value of the taxIdNb property.
`void` `setAlnRegnNb​(java.lang.String value)` Sets the value of the alnRegnNb property.
`void` `setCstmrNb​(java.lang.String value)` Sets the value of the cstmrNb property.
`void` `setDrvrsLicNb​(java.lang.String value)` Sets the value of the drvrsLicNb property.
`void` `setDtAndPlcOfBirth​(DateAndPlaceOfBirth value)` Sets the value of the dtAndPlcOfBirth property.
`void` `setIdntyCardNb​(java.lang.String value)` Sets the value of the idntyCardNb property.
`void` `setIssr​(java.lang.String value)` Sets the value of the issr property.
`void` `setMplyrIdNb​(java.lang.String value)` Sets the value of the mplyrIdNb property.
`void` `setOthrId​(GenericIdentification4 value)` Sets the value of the othrId property.
`void` `setPsptNb​(java.lang.String value)` Sets the value of the psptNb property.
`void` `setSclSctyNb​(java.lang.String value)` Sets the value of the sclSctyNb property.
`void` `setTaxIdNb​(java.lang.String value)` Sets the value of the taxIdNb property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### drvrsLicNb

    protected java.lang.String drvrsLicNb

#### cstmrNb

    protected java.lang.String cstmrNb

#### sclSctyNb

    protected java.lang.String sclSctyNb

#### alnRegnNb

    protected java.lang.String alnRegnNb

#### psptNb

    protected java.lang.String psptNb

#### taxIdNb

    protected java.lang.String taxIdNb

#### idntyCardNb

    protected java.lang.String idntyCardNb

#### mplyrIdNb

    protected java.lang.String mplyrIdNb

#### dtAndPlcOfBirth

    protected DateAndPlaceOfBirth dtAndPlcOfBirth

#### othrId

    protected GenericIdentification4 othrId

#### issr

    protected java.lang.String issr

### Constructor Detail

#### PersonIdentification3

    public PersonIdentification3()

### Method Detail

#### getDrvrsLicNb

    public java.lang.String getDrvrsLicNb()

Gets the value of the drvrsLicNb property.

Returns:
  possible object is `String`

#### setDrvrsLicNb

    public void setDrvrsLicNb​(java.lang.String value)

Sets the value of the drvrsLicNb property.

Parameters:
  `value` - allowed object is `String`

#### getCstmrNb

    public java.lang.String getCstmrNb()

Gets the value of the cstmrNb property.

Returns:
  possible object is `String`

#### setCstmrNb

    public void setCstmrNb​(java.lang.String value)

Sets the value of the cstmrNb property.

Parameters:
  `value` - allowed object is `String`

#### getSclSctyNb

    public java.lang.String getSclSctyNb()

Gets the value of the sclSctyNb property.

Returns:
  possible object is `String`

#### setSclSctyNb

    public void setSclSctyNb​(java.lang.String value)

Sets the value of the sclSctyNb property.

Parameters:
  `value` - allowed object is `String`

#### getAlnRegnNb

    public java.lang.String getAlnRegnNb()

Gets the value of the alnRegnNb property.

Returns:
  possible object is `String`

#### setAlnRegnNb

    public void setAlnRegnNb​(java.lang.String value)

Sets the value of the alnRegnNb property.

Parameters:
  `value` - allowed object is `String`

#### getPsptNb

    public java.lang.String getPsptNb()

Gets the value of the psptNb property.

Returns:
  possible object is `String`

#### setPsptNb

    public void setPsptNb​(java.lang.String value)

Sets the value of the psptNb property.

Parameters:
  `value` - allowed object is `String`

#### getTaxIdNb

    public java.lang.String getTaxIdNb()

Gets the value of the taxIdNb property.

Returns:
  possible object is `String`

#### setTaxIdNb

    public void setTaxIdNb​(java.lang.String value)

Sets the value of the taxIdNb property.

Parameters:
  `value` - allowed object is `String`

#### getIdntyCardNb

    public java.lang.String getIdntyCardNb()

Gets the value of the idntyCardNb property.

Returns:
  possible object is `String`

#### setIdntyCardNb

    public void setIdntyCardNb​(java.lang.String value)

Sets the value of the idntyCardNb property.

Parameters:
  `value` - allowed object is `String`

#### getMplyrIdNb

    public java.lang.String getMplyrIdNb()

Gets the value of the mplyrIdNb property.

Returns:
  possible object is `String`

#### setMplyrIdNb

    public void setMplyrIdNb​(java.lang.String value)

Sets the value of the mplyrIdNb property.

Parameters:
  `value` - allowed object is `String`

#### getDtAndPlcOfBirth

    public DateAndPlaceOfBirth getDtAndPlcOfBirth()

Gets the value of the dtAndPlcOfBirth property.

Returns:
  possible object is `DateAndPlaceOfBirth`

#### setDtAndPlcOfBirth

    public void setDtAndPlcOfBirth​(DateAndPlaceOfBirth value)

Sets the value of the dtAndPlcOfBirth property.

Parameters:
  `value` - allowed object is `DateAndPlaceOfBirth`

#### getOthrId

    public GenericIdentification4 getOthrId()

Gets the value of the othrId property.

Returns:
  possible object is `GenericIdentification4`

#### setOthrId

    public void setOthrId​(GenericIdentification4 value)

Sets the value of the othrId property.

Parameters:
  `value` - allowed object is `GenericIdentification4`

#### getIssr

    public java.lang.String getIssr()

Gets the value of the issr property.

Returns:
  possible object is `String`

#### setIssr

    public void setIssr​(java.lang.String value)

Sets the value of the issr property.

Parameters:
  `value` - allowed object is `String`